package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 识别计划的类型, BLACK_LIST-重点人员识别计划 WHITE_LIST-陌生人识别计划(BLACK_LIST.重点人员识别计划, WHITE_LIST.陌生人识别计划)枚举类
 *
 * @author zxfei
 */
public enum RecognitionResourceEnum {
    SUPER_BRAIN("BLACK_LIST", "超脑"),
    FACE_RECOGNITION_SERVER("FACE_RECOGNITION_SERVER", "脸谱"),
    COMPARISON("COMPARISON", "深眸");
    private String value;
    private String desc;

    RecognitionResourceEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static RecognitionResourceEnum getByValue(String value) {
        for (RecognitionResourceEnum recognitionPlanTypeEnum : RecognitionResourceEnum.values()) {
            if (recognitionPlanTypeEnum.getValue() == value) {
                return recognitionPlanTypeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (RecognitionResourceEnum item : RecognitionResourceEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}